Package org.kapott.hbci.comm

## Class PinTanSSLSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.kapott.hbci.comm.PinTanSSLSocketFactory

    public class PinTanSSLSocketFactory
    extends javax.net.ssl.SSLSocketFactory

### Constructor Summary

Constructors
`PinTanSSLSocketFactory​(AbstractPinTanPassport passport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.Socket` `createSocket()`
`java.net.Socket` `createSocket​(java.lang.String host, int port)`
`java.net.Socket` `createSocket​(java.lang.String host, int port, java.net.InetAddress localHost, int localPort)`
`java.net.Socket` `createSocket​(java.net.InetAddress addr, int port)`
`java.net.Socket` `createSocket​(java.net.InetAddress addr, int port, java.net.InetAddress localHost, int localPort)`
`java.net.Socket` `createSocket​(java.net.Socket sock, java.lang.String host, int port, boolean autoClose)`
`boolean` `debug()`
`java.lang.String[]` `getDefaultCipherSuites()`
`java.lang.String[]` `getSupportedCipherSuites()`

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`createSocket, getDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PinTanSSLSocketFactory

    public PinTanSSLSocketFactory​(AbstractPinTanPassport passport)

### Method Detail

#### debug

    public boolean debug()

#### createSocket

    public java.net.Socket createSocket()
                                 throws java.io.IOException

Overrides:
  `createSocket` in class `javax.net.SocketFactory`
Throws:
  `java.io.IOException`

#### createSocket

    public java.net.Socket createSocket​(java.net.Socket sock,
                                        java.lang.String host,
                                        int port,
                                        boolean autoClose)
                                 throws java.io.IOException

Specified by:
  `createSocket` in class `javax.net.ssl.SSLSocketFactory`
Throws:
  `java.io.IOException`

#### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

Specified by:
  `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

#### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

Specified by:
  `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

#### createSocket

    public java.net.Socket createSocket​(java.lang.String host,
                                        int port)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

Specified by:
  `createSocket` in class `javax.net.SocketFactory`
Throws:
  `java.io.IOException`
  `java.net.UnknownHostException`

#### createSocket

    public java.net.Socket createSocket​(java.net.InetAddress addr,
                                        int port)
                                 throws java.io.IOException

Specified by:
  `createSocket` in class `javax.net.SocketFactory`
Throws:
  `java.io.IOException`

#### createSocket

    public java.net.Socket createSocket​(java.lang.String host,
                                        int port,
                                        java.net.InetAddress localHost,
                                        int localPort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

Specified by:
  `createSocket` in class `javax.net.SocketFactory`
Throws:
  `java.io.IOException`
  `java.net.UnknownHostException`

#### createSocket

    public java.net.Socket createSocket​(java.net.InetAddress addr,
                                        int port,
                                        java.net.InetAddress localHost,
                                        int localPort)
                                 throws java.io.IOException

Specified by:
  `createSocket` in class `javax.net.SocketFactory`
Throws:
  `java.io.IOException`